Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3092)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/SimpleKRAnnotation.java	(revision 3093)
@@ -377,7 +377,7 @@
 			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				extension.removeAnnotationArea(SimpleKRAnnotation.this);
+				extension.closeArea(SimpleKRAnnotation.this, true);
 			}
 			
 			@Override
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3092)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/KRAnnotation.java	(revision 3093)
@@ -614,7 +614,7 @@
 			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				extension.removeAnnotationArea(KRAnnotation.this);
+				extension.closeArea(KRAnnotation.this, true);
 			}
 			
 			@Override
Index: tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java
===================================================================
--- tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3092)
+++ tmp/org.txm.annotation.kr.rcp/src/org/txm/annotation/kr/rcp/concordance/WordAnnotationToolbar.java	(revision 3093)
@@ -824,7 +824,7 @@
 			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				extension.removeAnnotationArea(WordAnnotationToolbar.this);
+				extension.closeArea(WordAnnotationToolbar.this, true);
 			}
 			
 			@Override
Index: tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java
===================================================================
--- tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java	(revision 3092)
+++ tmp/org.txm.annotation.rcp/src/org/txm/annotation/rcp/editor/AnnotationExtension.java	(revision 3093)
@@ -166,6 +166,7 @@
 	public void closeAreasPanel() {
 		editor.getTopToolbar().setVisible(GROUP_NAME, false);
 		editor.getTopToolbar().getOpenCloseButton().setSelection(false);
+		saveButton.setEnabled(false);
 	}
 	
 	public void openAnnotationMode(AnnotationArea aa, int position) throws Exception {
@@ -207,27 +208,16 @@
 		return removed;
 	}
 	
-	public void removeAnnotationArea(AnnotationArea aa) {
-		annotationAreas.remove(aa);
-		aa._close();
-		if (annotationAreas.size() == 0) {
-			editor.getTopToolbar().setVisible(GROUP_NAME, false);
-			//
-			// if (aa.isDirty()) {
-			// boolean saveNow = MessageDialog.openQuestion(Display.getCurrent().getActiveShell(), "Save annotations", "Do you whish to save annotations now ? (will be lost when closing TXM)");
-			// if (saveNow) {
-			// try {
-			// notifyDoSave();
-			// }
-			// catch (Exception e) {
-			// // TODO Auto-generated catch block
-			// e.printStackTrace();
-			// }
-			// }
-			// }
-			
-			saveButton.setEnabled(false);
+	public void closeArea(AnnotationArea area, boolean closeExtensionIfEmpty) {
+		if (area != null && !area.getAnnotationArea().isDisposed()) {
+			area.getAnnotationArea().dispose();
 		}
+		area._close();
+		
+		this.annotationAreas.remove(area);
+		if (this.annotationAreas.size() == 0 && closeExtensionIfEmpty) {
+			this.closeAreasPanel();
+		}
 	}
 	
 	protected void openDefaultAnnotationMode(SelectionEvent e) {
@@ -353,15 +343,5 @@
 		return h;
 	}
 	
-	public void closeArea(AnnotationArea area, boolean closeExtensionIfEmpty) {
-		if (area != null && !area.getAnnotationArea().isDisposed()) {
-			area.getAnnotationArea().dispose();
-		}
-		area._close();
-		
-		this.annotationAreas.remove(area);
-		if (this.annotationAreas.size() == 0 && closeExtensionIfEmpty) {
-			this.closeAreasPanel();
-		}
-	}
+	
 }
Index: tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/toolbar/UnitConcordanceToolbar.java
===================================================================
--- tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/toolbar/UnitConcordanceToolbar.java	(revision 3092)
+++ tmp/org.txm.analec.rcp/src/org/txm/annotation/urs/toolbar/UnitConcordanceToolbar.java	(revision 3093)
@@ -56,48 +56,64 @@
 import visuAnalec.elements.Unite;
 
 public class UnitConcordanceToolbar extends AnnotationArea {
-
+	
 	/**
 	 * the limit number of annotation when a confirm dialog box is shown
 	 */
 	protected static final int NALERTAFFECTANNOTATIONS = 100;
+	
 	public static final String EMPTYTEXT = ""; //$NON-NLS-1$
-
+	
 	protected ConcordanceEditor editor;
-
+	
 	/**
 	 * All available annotation types
 	 */
 	protected List<String> typeValuesList;
-
+	
 	/**
 	 * display the annotation values of the current shown concordance lines
 	 */
 	protected TableColumn annotationColumn;
-
+	
 	protected ComboViewer annotationTypesCombo;
+	
 	/** add a new type of annotation */
 	private Button addAnnotationTypeButton;
+	
 	protected Label equalLabel;
+	
 	protected Text annotationValuesText;
+	
 	protected Button affectAnnotationButton;
+	
 	protected Button deleteAnnotationButton;
+	
 	private Button affectAllAnnotationButton;
-
-	protected Vector<String> typesList = new Vector<String>(); 
-
+	
+	protected Vector<String> typesList = new Vector<>();
+	
 	protected Concordance concordance;
+	
 	private CQPCorpus corpus;
+	
 	private TableViewerColumn annotationColumnViewer;
+	
 	private Font annotationColummnFont;
+	
 	private Font defaultColummnFont;
+	
 	private Corpus annotManager;
+	
 	private HashMap<Line, ArrayList<Unite>> annotations;
 	
 	protected String unitType;
+	
 	protected String unitProperty;
+	
 	private ComboViewer annotationPropertiesCombo;
-
+	
+	@Override
 	public String getName() {
 		return "Unit (URS)";
 	}
@@ -106,29 +122,28 @@
 	public boolean allowMultipleAnnotations() {
 		return true;
 	}
-
-	public UnitConcordanceToolbar() {
-	}
-
+	
+	public UnitConcordanceToolbar() {}
+	
 	@Override
 	public boolean install(TXMEditor<? extends TXMResult> txmeditor, AnnotationExtension ext, Composite parent, int position) throws Exception {
-
+		
 		this.extension = ext;
-		this.editor = (ConcordanceEditor)txmeditor;
+		this.editor = (ConcordanceEditor) txmeditor;
 		this.concordance = this.editor.getConcordance();
 		this.corpus = concordance.getCorpus();
-		this.annotations = new HashMap<Line, ArrayList<Unite>>();
+		this.annotations = new HashMap<>();
 		this.annotManager = URSCorpora.getCorpus(corpus);
-
+		
 		TableViewer viewer = this.editor.getLineTableViewer();
-
+		
 		// RESULT
 		if (position < 0) {
 			position = 3 + extension.getNumberOfAnnotationArea(); // after keyword column and previous annotation columns
 		}
 		
 		typesList.clear();
-
+		
 		for (String type : this.annotManager.getStructure().getUnites()) {
 			typesList.add(type);
 		}
@@ -148,10 +163,10 @@
 		FontData fdata = defaultColummnFont.getFontData()[0];
 		annotationColummnFont = new Font(Display.getCurrent(), fdata.getName(), fdata.getHeight(), SWT.ITALIC);
 		annotationColumnViewer.setLabelProvider(new ColumnLabelProvider() {
-
+			
 			@Override
 			public String getText(Object element) {
-				Line line = (Line)element;
+				Line line = (Line) element;
 				ArrayList<Unite> a = annotations.get(line);
 				if (a.size() == 0) return "<none>";
 				
@@ -161,33 +176,34 @@
 					
 					if (value != null) {
 						if (unite.getDeb() < line.matchGetStart() - line.getLeftContextSize()) {
-							value = "… "+value; //$NON-NLS-1$
+							value = "… " + value; //$NON-NLS-1$
 						}
-
+						
 						if (unite.getFin() > line.matchGetEnd() + line.getRightContextSize()) {
-							value = value+" …"; //$NON-NLS-1$
+							value = value + " …"; //$NON-NLS-1$
 						}
 						if (buffer.length() > 0) buffer.append(", ");
 						buffer.append(value);
-					} else {
+					}
+					else {
 						buffer.append("[]");
 					}
 				}
 				return buffer.toString();
 			}
 		});
-
+		
 		if (unitType != null) {
 			annotationColumn.setText(unitType);
 		}
-
+		
 		annotationArea = new GLComposite(parent, SWT.NONE, "Unit URS");
 		annotationArea.getLayout().numColumns = 12;
 		annotationArea.setLayoutData(new GridData(SWT.FILL, SWT.FILL, true, false));
-
+		
 		GridData gdata = new GridData(SWT.CENTER, SWT.CENTER, false, false);
 		gdata.widthHint = 90;
-
+		
 		// UNIT TYPE
 		annotationTypesCombo = new ComboViewer(annotationArea, SWT.SINGLE);
 		annotationTypesCombo.setContentProvider(new ArrayContentProvider());
@@ -201,24 +217,26 @@
 					if (typesList.contains(name)) {
 						StructuredSelection selection = new StructuredSelection(name);
 						annotationTypesCombo.setSelection(selection, true);
-					} else {
+					}
+					else {
 						createNewType(e, name);
 					}
 				}
 			}
 			
 			@Override
-			public void keyPressed(KeyEvent e) { }
+			public void keyPressed(KeyEvent e) {}
 		});
-	
+		
 		gdata = new GridData(SWT.CENTER, SWT.CENTER, false, false);
 		gdata.widthHint = 200;
-
+		
 		annotationTypesCombo.getCombo().setLayoutData(gdata);
 		annotationTypesCombo.setInput(typesList);
 		annotationTypesCombo.getCombo().select(0);
-
+		
 		annotationTypesCombo.addSelectionChangedListener(new ISelectionChangedListener() {
+			
 			@Override
 			public void selectionChanged(SelectionChangedEvent event) {
 				onAnnotationTypeSelected(event);
@@ -244,66 +262,70 @@
 					if (typesList.contains(name)) {
 						StructuredSelection selection = new StructuredSelection(name);
 						annotationTypesCombo.setSelection(selection, true);
-					} else {
+					}
+					else {
 						createNewType(e, name);
 					}
 				}
 			}
 			
 			@Override
-			public void keyPressed(KeyEvent e) { }
+			public void keyPressed(KeyEvent e) {}
 		});
-	
+		
 		gdata = new GridData(SWT.CENTER, SWT.CENTER, false, false);
 		gdata.widthHint = 200;
-
+		
 		annotationPropertiesCombo.getCombo().setLayoutData(gdata);
-		ArrayList<String> properties = new ArrayList<String>();
+		ArrayList<String> properties = new ArrayList<>();
 		properties.add("");
 		properties.addAll(annotManager.getStructure().getNomsProps(Unite.class, unitType));
 		annotationPropertiesCombo.setInput(properties);
 		annotationPropertiesCombo.getCombo().select(0);
-
+		
 		annotationPropertiesCombo.addSelectionChangedListener(new ISelectionChangedListener() {
+			
 			@Override
 			public void selectionChanged(SelectionChangedEvent event) {
 				onAnnotationPropertySelected(event);
 			}
 		});
-
+		
 		equalLabel = new Label(annotationArea, SWT.NONE);
 		equalLabel.setText("="); //$NON-NLS-1$
 		equalLabel.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
-
+		
 		annotationValuesText = new Text(annotationArea, SWT.BORDER);
 		annotationValuesText.setToolTipText("value");
 		GridData gdata2 = new GridData(SWT.FILL, SWT.CENTER, false, false);
 		gdata2.widthHint = 200;
 		annotationValuesText.setLayoutData(gdata2);
 		annotationValuesText.addKeyListener(new KeyListener() {
+			
 			@Override
 			public void keyReleased(KeyEvent e) {
 				if (e.keyCode == SWT.CR || e.keyCode == SWT.KEYPAD_CR) {
 					affectAnnotationToSelection(editor.getLineTableViewer().getSelection());
 				}
 			}
-
+			
 			@Override
-			public void keyPressed(KeyEvent e) { }
+			public void keyPressed(KeyEvent e) {}
 		});
-
+		
 		affectAnnotationButton = new Button(annotationArea, SWT.PUSH);
 		affectAnnotationButton.setText("Create");
 		affectAnnotationButton.setToolTipText("Create unit for each selected line.");
 		affectAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAnnotationButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				affectAnnotationToSelection(editor.getLineTableViewer().getSelection());
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
 		
 		deleteAnnotationButton = new Button(annotationArea, SWT.PUSH);
@@ -311,37 +333,40 @@
 		deleteAnnotationButton.setToolTipText("Delete unit for each selected line.");
 		deleteAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		deleteAnnotationButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
 				deleteAnnotationValues(editor.getLineTableViewer().getSelection());
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		affectAllAnnotationButton = new Button(annotationArea, SWT.PUSH);
 		affectAllAnnotationButton.setText("All");
 		affectAllAnnotationButton.setToolTipText("Create unit for all lines");
 		affectAllAnnotationButton.setLayoutData(new GridData(SWT.FILL, SWT.CENTER, false, false));
 		affectAllAnnotationButton.addSelectionListener(new SelectionListener() {
+			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-
+				
 				try {
 					List<? extends Match> matches = concordance.getMatches();
 					affectMatchesToSelection(matches);
-				} catch (Exception e1) {
+				}
+				catch (Exception e1) {
 					Log.severe(NLS.bind("** Error: {0}", e1.getLocalizedMessage()));
 					Log.printStackTrace(e1);
 					return;
 				}
 			}
-
+			
 			@Override
-			public void widgetDefaultSelected(SelectionEvent e) { }
+			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		Button closeButton = new Button(annotationArea, SWT.PUSH);
 		closeButton.setToolTipText("End URS annotation");
 		closeButton.setImage(IImageKeys.getImage(IImageKeys.ACTION_REMOVE));
@@ -350,75 +375,78 @@
 			
 			@Override
 			public void widgetSelected(SelectionEvent e) {
-				extension.removeAnnotationArea(UnitConcordanceToolbar.this);
+				extension.closeArea(UnitConcordanceToolbar.this, true);
 			}
 			
 			@Override
 			public void widgetDefaultSelected(SelectionEvent e) {}
 		});
-
+		
 		updateAnnotationWidgetStates();
 		editor.layout(true);
 		ext.getSaveButton().setEnabled(true);
 		return true;
 	}
-
+	
 	private void updateAnnotationWidgetStates() {
 		// TODO Auto-generated method stub
 		
 	}
-
+	
 	protected void affectMatchesToSelection(final List<? extends Match> matches) {
-
+		
 		final String value = annotationValuesText.getText();
 		
 		JobHandler job = new JobHandler("Creating units...", true) {
+			
 			@Override
 			protected IStatus run(IProgressMonitor monitor) {
 				this.runInit(monitor);
 				try {
 					for (Match m : matches) {
-						HashMap<String, String> props = new HashMap<String, String>();
+						HashMap<String, String> props = new HashMap<>();
 						props.put(unitProperty, value);
 						Unite u = annotManager.addUniteSaisie(unitType, m.getStart(), m.getEnd(), props);
 					}
 					
-				} catch(Exception e) {
+				}
+				catch (Exception e) {
 					Log.severe(NLS.bind("** Error: {0}", e));
 					Log.printStackTrace(e);
 					return Status.CANCEL_STATUS;
-				} catch(ThreadDeath td) {
+				}
+				catch (ThreadDeath td) {
 					System.out.println("Canceled");
 					return Status.CANCEL_STATUS;
 				}
-
+				
 				return Status.OK_STATUS;
 			}
 		};
 		job.startJob(true);
 	}
-
+	
 	protected void deleteAnnotationValues(ISelection selection) {
 		final IStructuredSelection lineSelection = (IStructuredSelection) selection;
 		List<Line> lines = lineSelection.toList();
-		ArrayList<Match> matches = new ArrayList<Match>();
+		ArrayList<Match> matches = new ArrayList<>();
 		for (Line l : lines) {
 			matches.add(l.getMatch());
 		}
 	}
-
+	
 	protected void affectAnnotationToSelection(ISelection selection) {
 		
 		final IStructuredSelection lineSelection = (IStructuredSelection) selection;
 		List<Line> lines = lineSelection.toList();
-		ArrayList<Match> matches = new ArrayList<Match>();
+		ArrayList<Match> matches = new ArrayList<>();
 		for (Line l : lines) {
 			matches.add(l.getMatch());
 		}
-
+		
 		affectMatchesToSelection(matches);
 	}
-
+	
 	protected void onAnnotationPropertySelected(SelectionChangedEvent event) {
 		
 		IStructuredSelection sel = (IStructuredSelection) annotationPropertiesCombo.getSelection();
@@ -429,14 +457,15 @@
 		
 		try {
 			editor.refresh(false);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
 		
 		updateAnnotationWidgetStates();
 	}
-
+	
 	protected void onAnnotationTypeSelected(SelectionChangedEvent event) {
 		IStructuredSelection sel = (IStructuredSelection) annotationTypesCombo.getSelection();
 		String type = (String) sel.getFirstElement();
@@ -445,7 +474,7 @@
 		unitType = type;
 		annotationColumn.setText(type);
 		
-		ArrayList<String> properties = new ArrayList<String>();
+		ArrayList<String> properties = new ArrayList<>();
 		properties.add("");
 		properties.addAll(annotManager.getStructure().getNomsProps(Unite.class, unitType));
 		annotationPropertiesCombo.setInput(properties);
@@ -453,20 +482,21 @@
 		
 		try {
 			editor.refresh(false);
-		} catch (Exception e) {
+		}
+		catch (Exception e) {
 			// TODO Auto-generated catch block
 			e.printStackTrace();
 		}
-
+		
 		updateAnnotationWidgetStates();
 	}
-
+	
 	protected void createNewType(TypedEvent e, String typeName) {
 		
 		if (typeName == null) typeName = ""; //$NON-NLS-1$
 		if (typesList.contains(typeName)) return;
 		
-		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), "Nouveau type d'unite", "avec le nom", typeName, null); //$NON-NLS-3$
+		InputDialog dialog = new InputDialog(e.widget.getDisplay().getActiveShell(), "Nouveau type d'unite", "avec le nom", typeName, null);
 		if (dialog.open() == InputDialog.OK) {
 			String name = dialog.getValue();
 			if (name.trim().length() == 0) return;
@@ -476,17 +506,19 @@
 			annotationTypesCombo.refresh();
 			StructuredSelection selection = new StructuredSelection(name);
 			annotationTypesCombo.setSelection(selection, true);
-
-		} else {
+			
+		}
+		else {
 			System.out.println("Creation aborted."); //$NON-NLS-1$
 		}
 	}
-
+	
 	@Override
 	public boolean save() {
 		try {
 			return URSCorpora.saveCorpus(corpus);
-		} catch(Exception ex) {
+		}
+		catch (Exception ex) {
 			ex.printStackTrace();
 			return false;
 		}
@@ -496,77 +528,81 @@
 	public boolean hasChanges() {
 		return annotManager.isModifie();
 	}
-
+	
 	@Override
 	public boolean notifyEndOfCompute() throws Exception {
 		return true;
 	}
-
+	
+	@Override
 	public boolean isAnnotationEnable() {
 		return annotationArea != null;
 	}
-
+	
 	@Override
 	public void notifyStartOfRefresh() throws Exception {
-		List<Line> lines = concordance.getLines(concordance.getTopIndex(), concordance.getTopIndex()+concordance.getNLinePerPage());
+		List<Line> lines = concordance.getLines(concordance.getTopIndex(), concordance.getTopIndex() + concordance.getNLinePerPage());
 		annotations.clear();
 		
 		ArrayList<Unite> units = annotManager.getUnites(unitType);
 		
-//		int iUnit = 0;
-//		int iLine = 0;
-//		for (; iUnit < units.size() && iLine < lines.size();) {
-//			Line line = lines.get(iLine);
-//			Unite unite = units.get(iUnit);
-//			if (unite.getFin() < line.getMatch().getStart()) {
-//				iUnit++;
-//			} else if (line.getMatch().getEnd() < unite.getDeb()) {
-//				iLine++;
-//			} else {
-//				annotations.put(line, unite);
-//				iLine++;
-//			}
-//		}
+		// int iUnit = 0;
+		// int iLine = 0;
+		// for (; iUnit < units.size() && iLine < lines.size();) {
+		// Line line = lines.get(iLine);
+		// Unite unite = units.get(iUnit);
+		// if (unite.getFin() < line.getMatch().getStart()) {
+		// iUnit++;
+		// } else if (line.getMatch().getEnd() < unite.getDeb()) {
+		// iLine++;
+		// } else {
+		// annotations.put(line, unite);
+		// iLine++;
+		// }
+		// }
 		for (Line line : lines) {
-			ArrayList<Unite> lineUnites = new ArrayList<Unite>();
-			annotations.put(line, lineUnites); //ok test next one
+			ArrayList<Unite> lineUnites = new ArrayList<>();
+			annotations.put(line, lineUnites); // ok test next one
 			for (int iUnit = 0; iUnit < units.size(); iUnit++) {
 				
 				Unite unite = units.get(iUnit);
 				if (unite.getFin() < line.getMatch().getStart()) {
 					continue;
-				} else if (line.getMatch().getEnd() < unite.getDeb()) {
-					break; //no need to go further
-				} else {
+				}
+				else if (line.getMatch().getEnd() < unite.getDeb()) {
+					break; // no need to go further
+				}
+				else {
 					lineUnites.add(unite);
 				}
 			}
 		}
 		
 		updateAnnotationWidgetStates();
-
+		
 		// update annotation column width
 		if (annotationArea != null) {
 			annotationColumn.pack();
-
+			
 			annotationColumn.setResizable(true);
-		} else { 
+		}
+		else {
 			annotationColumn.setWidth(0);
 		}
 	}
-
+	
 	@Override
 	protected void _close() {
 		if (!annotationColumn.isDisposed()) annotationColumn.dispose();
 		if (!annotationArea.isDisposed()) annotationArea.dispose();
 		extension.layout();
 	}
-
+	
 	@Override
 	public void notifyEndOfRefresh() throws Exception {
 		// TODO Auto-generated method stub
 	}
-
+	
 	@Override
 	public void notifyStartOfCreatePartControl() throws Exception {
 		// TODO Auto-generated method stub
@@ -575,29 +611,29 @@
 	public void notifyEndOfCreatePartControl() throws Exception {
 		// TODO Auto-generated method stub
 	}
-
+	
 	@Override
 	public Class<? extends TXMResult> getAnnotatedTXMResultClass() {
 		return Concordance.class;
 	}
-
+	
 	@Override
 	public boolean isDirty() {
 		return annotManager.isModifie();
 	}
-
+	
 	@Override
 	public boolean discardChanges() {
 		return false;
 	}
-
+	
 	@Override
 	public boolean needToUpdateIndexes() {
 		return true;
 	}
-
+	
 	@Override
 	public boolean notifyStartOfCompute() throws Exception {
 		return true;
 	}
-}
\ No newline at end of file
+}
